#include "HiPkg.h"

HiPkg::HiPkg(int a) : TelepatiPkg(){
  type=HI;
  aibo=a;
}

HiPkg::HiPkg(byte* ptr) : TelepatiPkg(ptr){
}


HiPkg::~HiPkg(){
}

TelepatiPkg* HiPkg::clone(){
  HiPkg* clone=new HiPkg(aibo);
  clone->serialNum=serialNum;
  return clone;
}



byte* HiPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
